Kaspersky ID:
KLA11824
Detect Date:
06/30/2020
Updated:
01/22/2024

Description

Multiple vulnerabilities were found in Mozilla Firefox. Malicious users can exploit these vulnerabilities to cause denial of service, bypass security restrictions, spoof user interface, obtain sensitive information, execute arbitrary code.

Below is a complete list of vulnerabilities:

  1. Memory corruption vulnerability on JavaScript Objects on ARM64 platforms can be exploited to potentially cause denial of service.
  2. URI vulnerability in WebRTC can be exploited to perform domain spoofing and bypass security restrictions.
  3. SB vulnerability in add-on updates can be exploited to bypass security restrictions.
  4. Use after free vulnerability in a pointer can be exploited to potentially cause denial of service.
  5. Out of bounds read vulnerability Date.parse() component can be exploited to potentially obtain sensitive information.
  6. Use after free vulnerability in WebRTC VideoBroadcaster can be exploited to potentially cause denial of service.
  7. Memory vulnerability in Firefox can be exploited to execute arbitrary code.
  8. Integer overflow vulnerability in nsJPEGEncoder::emptyOutputBuffer component can be exploited to potentially cause denial of service.
  9. Information disclosure vulnerbaility in URL object can be exploited to obtain sensitive information.
  10. DLL Hijacking vulnerability in webauthn.dll on Windows can be exploited to execute arbitrary code.
  11. SB vulnerability in AppCache can be exploited to bypass security restrictions.
  12. RSA key generation vulnerability can be exploited to bypass security restrictions and obtain sensitive information.
  13. Use after free vulnerability in nsGlobalWindowInner component can be exploited to potentially cause denial of service.

Original advisories

Related products

CVE list

  • CVE-2020-12417
    critical
  • CVE-2020-12424
    warning
  • CVE-2020-12421
    warning
  • CVE-2020-12420
    critical
  • CVE-2020-12425
    warning
  • CVE-2020-12416
    critical
  • CVE-2020-12426
    critical
  • CVE-2020-12422
    critical
  • CVE-2020-12418
    warning
  • CVE-2020-12423
    high
  • CVE-2020-12415
    warning
  • CVE-2020-12402
    warning
  • CVE-2020-12419
    critical

Read more

Find out the statistics of the vulnerabilities spreading in your region on statistics.securelist.com

Found an inaccuracy in the description of this vulnerability? Let us know!
Kaspersky IT Security Calculator
Calculate
Check now
Learn more about cybersecurity on Kaspersky Encyclopedia
For free
Learn more
Confirm changes?
Your message has been sent successfully.